## org.apache.myfaces.custom.layout
Class HtmlPanelLayoutTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          javax.faces.webapp.UIComponentBodyTag
              org.apache.myfaces.taglib.UIComponentBodyTagBase
                  org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
                      org.apache.myfaces.custom.layout.HtmlPanelLayoutTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlPanelLayoutTag
extends HtmlComponentBodyTagBase

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentBodyTag
`bodyContent`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlPanelLayoutTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setAlign(java.lang.String align)`
`void` `setBgcolor(java.lang.String bgcolor)`
`void` `setBodyClass(java.lang.String bodyClass)`
`void` `setBodyStyle(java.lang.String bodyStyle)`
`void` `setBorder(java.lang.String border)`
`void` `setCellpadding(java.lang.String cellpadding)`
`void` `setCellspacing(java.lang.String cellspacing)`
`void` `setDatafld(java.lang.String datafld)`
`void` `setDataformatas(java.lang.String dataformatas)`
`void` `setDatasrc(java.lang.String datasrc)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setFooterClass(java.lang.String footerClass)`
`void` `setFooterStyle(java.lang.String footerStyle)`
`void` `setFrame(java.lang.String frame)`
`void` `setHeaderClass(java.lang.String headerClass)`
`void` `setHeaderStyle(java.lang.String headerStyle)`
`void` `setLayout(java.lang.String layout)`
`void` `setNavigationClass(java.lang.String navigationClass)`
`void` `setNavigationStyle(java.lang.String navigationStyle)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setRules(java.lang.String rules)`
`void` `setSummary(java.lang.String summary)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentBodyTagBase
`doEndTag, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setIntegerProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentBodyTag
`doAfterBody, doInitBody, getBodyContent, getDoAfterBodyValue, getDoStartValue, getPreviousOut, setBodyContent`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### HtmlPanelLayoutTag

    public HtmlPanelLayoutTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlComponentBodyTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlComponentBodyTagBase`

### setLayout

    public void setLayout(java.lang.String layout)

### setHeaderClass

    public void setHeaderClass(java.lang.String headerClass)

### setNavigationClass

    public void setNavigationClass(java.lang.String navigationClass)

### setBodyClass

    public void setBodyClass(java.lang.String bodyClass)

### setFooterClass

    public void setFooterClass(java.lang.String footerClass)

### setHeaderStyle

    public void setHeaderStyle(java.lang.String headerStyle)

### setNavigationStyle

    public void setNavigationStyle(java.lang.String navigationStyle)

### setBodyStyle

    public void setBodyStyle(java.lang.String bodyStyle)

### setFooterStyle

    public void setFooterStyle(java.lang.String footerStyle)

### setAlign

    public void setAlign(java.lang.String align)

### setBgcolor

    public void setBgcolor(java.lang.String bgcolor)

### setBorder

    public void setBorder(java.lang.String border)

### setCellpadding

    public void setCellpadding(java.lang.String cellpadding)

### setCellspacing

    public void setCellspacing(java.lang.String cellspacing)

### setDatafld

    public void setDatafld(java.lang.String datafld)

### setDatasrc

    public void setDatasrc(java.lang.String datasrc)

### setDataformatas

    public void setDataformatas(java.lang.String dataformatas)

### setFrame

    public void setFrame(java.lang.String frame)

### setRules

    public void setRules(java.lang.String rules)

### setSummary

    public void setSummary(java.lang.String summary)

### setWidth

    public void setWidth(java.lang.String width)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)